Name:           webapp-manager
Version:        1.1.5
Release:        %mkrel 2
Group:          Internet
Summary:        Software to launch website like applications
License:        GPLv3
URL:            https://github.com/linuxmint/webapp-manager
Source0:        https://github.com/linuxmint/webapp-manager/archive/refs/tags/%{version}.tar.gz
%global LIBDIR_SOURCE /usr/lib/
 

Requires: python3-setproctitle
Requires: firefox
Requires: python3
Requires: python3-tldextract
%ifarch x86_64
Requires: lib64xapp-gir1.0
%endif
%ifarch i586
Requires: libxapp-gir1.0
%endif
Requires: glib2.0-common

 
%description
Webapp-manager allows to create bookmarks to open website like applications
 
 
%prep
%autosetup

 
%build
make 
 
%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_docdir}/%{name}/license
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
mkdir -p %{buildroot}%{_datadir}/locale
mkdir -p %{buildroot}%{_datadir}/icons
for theme in `ls -d1 %{_datadir}/icons/*[^png$]`; do
mkdir -p %{buildroot}%{_datadir}/icons/$(basename ${theme})
done;
mkdir -p %{buildroot}%{_datadir}/desktop-directories
mkdir -p %{buildroot}%{LIBDIR_SOURCE}%{name}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/applications-merged
cp    ./%{LIBDIR_SOURCE}%{name}/*.py %{buildroot}%LIBDIR_SOURCE%{name}/
cp    ./%{_bindir}/%{name} %{buildroot}%{_bindir}
cp -r ./%{_datadir}/%{name}/* %{buildroot}%{_datadir}/%{name}/
cp -r ./%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
cp  ./%{_datadir}/glib-2.0/schemas/*.xml %{buildroot}%{_datadir}/glib-2.0/schemas/
for theme in `ls -d1 %{_datadir}/icons/*[^png$]`; do
cp -r ./%{_datadir}/icons/hicolor/* %{buildroot}%{_datadir}/icons/$(basename ${theme})
done;
cp ./LICENSE %{buildroot}%{_docdir}/%{name}/license/

#copy language modules to LC_MESSAGES directory
cp -r  ./%{_datadir}/locale/* %{buildroot}%{_datadir}/locale
cp ./debian/changelog %{buildroot}%{_docdir}/%{name}/
cp ./debian/copyright %{buildroot}%{_docdir}/%{name}/
cp README.md %{buildroot}%{_docdir}/%{name}/


#Not Debian/Mint here
rm -f -r debian
#no need of kde4 folder
rm -f -r %{buildroot}%{_datadir}/applications/kde4

%post
#compile glib schemas to include the webapp-manager onedirectory
glib-compile-schemas /usr/share/glib-2.0/schemas/
 
%files
%{_bindir}/%{name}
  %LIBDIR_SOURCE%{name}/__pycache__/*.pyc
  %LIBDIR_SOURCE%{name}/*.py
   %{_datadir}/applications/%{name}.desktop
   %{_datadir}/glib-2.0/schemas/org.x.%{name}.gschema.xml
   %{_datadir}/icons/Adwaita/scalable/apps/%{name}.svg
   %{_datadir}/icons/Adwaita/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/Breeze_Snow/scalable/apps/%{name}.svg
   %{_datadir}/icons/Breeze_Snow/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/HighContrast/scalable/apps/%{name}.svg
   %{_datadir}/icons/HighContrast/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/KDE_Classic/scalable/apps/%{name}.svg
   %{_datadir}/icons/KDE_Classic/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/Oxygen_Black/scalable/apps/%{name}.svg
   %{_datadir}/icons/Oxygen_Black/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/Oxygen_Blue/scalable/apps/%{name}.svg
   %{_datadir}/icons/Oxygen_Blue/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/Oxygen_White/scalable/apps/%{name}.svg
   %{_datadir}/icons/Oxygen_White/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/Oxygen_Yellow/scalable/apps/%{name}.svg
   %{_datadir}/icons/Oxygen_Yellow/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/Yaru/scalable/apps/%{name}.svg
   %{_datadir}/icons/Yaru/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/breeze-dark/scalable/apps/%{name}.svg
   %{_datadir}/icons/breeze-dark/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/breeze/scalable/apps/%{name}.svg
   %{_datadir}/icons/breeze/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/breeze_cursors/scalable/apps/%{name}.svg
   %{_datadir}/icons/breeze_cursors/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/contrastlarge/scalable/apps/%{name}.svg
   %{_datadir}/icons/contrastlarge/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/default/scalable/apps/%{name}.svg
   %{_datadir}/icons/default/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/gnome/scalable/apps/%{name}.svg
   %{_datadir}/icons/gnome/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/handhelds/scalable/apps/%{name}.svg
   %{_datadir}/icons/handhelds/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
   %{_datadir}/icons/hicolor/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/large/scalable/apps/%{name}.svg
   %{_datadir}/icons/large/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/locolor/scalable/apps/%{name}.svg
   %{_datadir}/icons/locolor/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/mini/scalable/apps/%{name}.svg
   %{_datadir}/icons/mini/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/nuoveXT2/scalable/apps/%{name}.svg
   %{_datadir}/icons/nuoveXT2/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/redglass/scalable/apps/%{name}.svg
   %{_datadir}/icons/redglass/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/whiteglass/scalable/apps/%{name}.svg
   %{_datadir}/icons/whiteglass/scalable/categories/applications-webapps.svg
   %{_datadir}/icons/wonderland/scalable/apps/%{name}.svg
   %{_datadir}/icons/wonderland/scalable/categories/applications-webapps.svg
   %{_datadir}/locale/am/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/be/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/bn/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ca/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/cs/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/cy/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/da/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/de/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/el/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/en_GB/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/eo/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/es/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/et/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/eu/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/fi/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/fr/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/fr_CA/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/he/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/hi/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/hr/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/hu/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ia/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/id/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ie/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/is/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/it/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ja/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/kab/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/kn/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ko/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/la/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/lt/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/nl/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/oc/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/pl/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/pt/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/pt_BR/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ro/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/ru/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/sk/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/sr/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/sr@latin/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/sv/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/tr/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/uk/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/locale/zgh/LC_MESSAGES/webapp-manager.mo
   %{_datadir}/%{name}/firefox/profile/chrome/userChrome.css
   %{_datadir}/%{name}/firefox/profile/places.sqlite
   %{_datadir}/%{name}/firefox/profile/search.json.mozlz4
   %{_datadir}/%{name}/firefox/profile/user.js
   %{_datadir}/%{name}/firefox/userChrome-with-navbar.css
   %{_datadir}/%{name}/shortcuts.ui
   %{_datadir}/%{name}/%{name}.ui
   %license %{_docdir}/%{name}/license/LICENSE
%{_docdir}/%{name}/changelog
%{_docdir}/%{name}/copyright
%{_docdir}/%{name}/README.md
 
%postun

 
%changelog
* Sat Oct 10 2021 nic80 <nic80> 1.1.5-2.nic80.mlo
- Add python3-tldextract dependancy
* Sat Oct 09 2021 nic80 <nic80> 1.1.5.nic80.mlo
- initial package webapp-manager
